<template>
  <div class="app-container">
    <div class="box">
      <div class="box-left">
        <Titlename title="检查项树"></Titlename>
        <div class="box-left-content">
          <!-- <el-form ref="form" :model="form" style="font-size: 12px" size="mini">
            <el-row>
              <el-col :span="12">
                <el-form-item size="mini">
                  <el-input
                    v-model="form.name"
                    placeholder="请输入检查项名称"
                  ></el-input>
                </el-form-item>
              </el-col>
              <el-col :span="11" :offset="1" style="white-space: nowrap">
                <el-form-item size="mini">
                  <el-button type="primary" class="btns" size="mini">搜索</el-button>
                  <el-button
                    type="primary"
                    style="margin: 0px"
                    class="btns"
                    icon="el-icon-plus"
                    size="mini"
                  ></el-button>
                </el-form-item>
              </el-col>
            </el-row>
          </el-form> -->
          <el-tree
            :data="data"
            :props="defaultProps"
          ></el-tree>
        </div>
      </div>
      <div class="box-right" v-if="show">
          <div class="title">A级要素：<span>A级要素2</span></div>
        <div v-for="(item,index) in 2" :key="index">
          <el-row class="titles">
            <el-col :span="6" :offset="1"><p><span>B级要素：</span>法律、法规和标准的识别和获取</p></el-col>
             <el-col :span="6"  :offset="4"><p><span>得分：</span>50</p></el-col>
          </el-row>
          <el-row>
             <el-col :span="22" :offset="1">
                  <el-table
                    border
                    :data="tableData"
                  >
                    <el-table-column
                      prop="date"
                      align="center"
                      label="标准化要求"
                    >
                    </el-table-column>
                    <el-table-column
                      prop="name"
                      align="center"
                      label="企业达标标准"
                    ></el-table-column>
                    <el-table-column
                      prop="name"
                      align="center"
                      label="评审方法"
                    ></el-table-column>
                      <el-table-column
                      prop="name"
                      align="center"
                      label="评审标准"
                    >
                     <el-table-column
                      prop="name"
                      align="center"
                      label="否决项"
                    ></el-table-column>
                     <el-table-column
                      prop="name"
                      align="center"
                      label="扣分项"
                    ></el-table-column>
                    </el-table-column>
                    <el-table-column align="center" label="操作" width="200px">
                      <template slot-scope="scope">
                        <el-button
                          @click="handleClick(scope.row)"
                          type="text"
                          size="small"
                          >修改</el-button
                        >
                        <!-- <el-button type="text" size="small" style="color: red"
                          >删除</el-button
                        > -->
                      </template>
                    </el-table-column>
                  </el-table>
                </el-col>
              </el-row>
        </div>
        </div>
      </div>
  </div>
</template>
<script>
import Titlename from "../../components/Titlename/index.vue";
export default {
  components: { Titlename },
  data() {
    return {
      dialogVisible: false,
      show: true,
      form: {
        name: "",
      },
      formInline: {
        user: "",
        region: "",
      },
      tableData: [
        {
          date: "2016-05-02",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1518 弄",
          zip: 200333,
        },
        {
          date: "2016-05-04",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1517 弄",
          zip: 200333,
        },
        {
          date: "2016-05-01",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1519 弄",
          zip: 200333,
        },
        {
          date: "2016-05-03",
          name: "王小虎",
          province: "上海",
          city: "普陀区",
          address: "上海市普陀区金沙江路 1516 弄",
          zip: 200333,
        },
      ],
      data: [
        {
          label: "一级 1",
          children: [
            {
              label: "二级 1-1",
              children: [
                {
                  label: "三级 1-1-1",
                },
              ],
            },
          ],
        },
        {
          label: "一级 2",
          children: [
            {
              label: "二级 2-1",
              children: [
                {
                  label: "三级 2-1-1",
                },
              ],
            },
            {
              label: "二级 2-2",
              children: [
                {
                  label: "三级 2-2-1",
                },
              ],
            },
          ],
        },
        {
          label: "一级 3",
          children: [
            {
              label: "二级 3-1",
              children: [
                {
                  label: "三级 3-1-1",
                },
              ],
            },
            {
              label: "二级 3-2",
              children: [
                {
                  label: "三级 3-2-1",
                },
              ],
            },
          ],
        },
      ],
      defaultProps: {
        children: "children",
        label: "label",
      },
    };
  },
  methods: {
    btnsQX() {
      this.show = true;
    },
  },
};
</script>
<style scoped>
.app-container {
  padding: 0px;
}
.box {
  width: 100%;
  display: flex;
  justify-content: space-between;
  background-color: rgb(223, 229, 235);
}
.box-left {
  width: 20%;
  min-height: 800px;
  background-color: white;
  border-radius: 5px;
}
.box-left-content {
  padding: 10px;
}
.box-right {
  width: 79%;
  background-color: white;
  border-radius: 5px;
}
.title{
  font-size: 16px;
  padding: 10px 20px;
  font-weight: bold;
}
.titles{
  font-size: 14px;
}
</style>